:root {
    --main-color: #e75e14;
    --dark-main-color: #96310e;
    --light-main-color: #ff7a18;
    --light-main-color-opacity: #f9731650;
    --radius: 12px;

    --light-color: #ffffff;
    --dark-color: #000000;
    --dark2-color: #242424;

    --orange-color: #f4b42a;
    --primary-color: #3b88c3;
    --blue-color: #1d55ed;
    --dark-blue-color: #1d2a66;
    --purple-color: #6e2d9f;
    --main-bg: #111827;
    --main-card: #ffffff;
    --main-text: #111827;
    --bg-text: #2e3a3f;
    --muted-color: #6b7280;
    --light-muted-color: #cfd1d3;
    --dark-muted-color: #eae8e8;
    --muted-background-color: #f3f3f3;
    --light-background-color: #fffcfc;
    --reviews-background-color: #f3f3f3;
    --articles-background-color: #f9f9f9;
    --blog-show-background-color: #f4f4f4;
    --order-background-color: #eaf5f8;
    --projects-steps-background-color: #f4f4f4;
    --line-works-background-color: #fbfbfb;
    --portfolio-background-color: #f5f5f5;
    --website-articles-background-color: #f9f9f9;
    --app-developer-hero-background-color: #f4f4f4;
    --app-articles-background-color: #fafafa;
    --dont-worry-background-color: #f8f6f6;
    --pest-domains-background-color: #fbfbfb;

    --green-color: #00ae40;
    --middle-green-color: #7fffae;
    --light-green-color: #e4faec;
    --red-color: #c2410c;
    --middle-red-color: #ff7a5a;
    --light-red-color: #feeee3;
    --main-hover-color: #f7cebc;
    --hover-color: #fdeae2;

    --inline-padding: 20px;
    --small-inline-padding: 20px;
    --main-inline-padding: 120px;

    --home-hero-section-inline-padding: 200px;
    --home-services-section-inline-padding: 180px;
    --home-projects-section-inline-padding: 20px;
    --home-reviews-section-inline-padding: 220px;
    --home-clients-section-inline-padding: 120px;

    --about-us-line-works-steps-section-inline-padding: 60px;
    --about-us-partners-section-inline-padding: 60px;

    --portfolio-section-inline-padding: 200px;
    --blog-articles-section-inline-padding: 60px;
    --articles-page-section-inline-padding: 200px;
    --blog-show-inline-padding: 120px;
    --tickets-page-section-inline-padding: 180px;

    --website-developer-section-inline-padding: 120px;
    --website-programming-section-inline-padding: 200px;
    --website-design-section-inline-padding: 60px;
    --website-important-articles-section-inline-padding: 60px;
    --faqs-section-inline-padding: 60px;

    --app-developer-hero-section-inline-padding: 240px;
    --important-articles-section-inline-padding: 100px;
    --hosting-hero-section-inline-padding: 240px;
    --projects-steps-section-inline-padding: 60px;
    --hosting-features-section-inline-padding: 200px;
    --hosting-packages-section-inline-padding: 160px;
    --support-hosting-section-inline-padding: 180px;
    --operations-systems-section-inline-padding: 200px;
    --your-domain-section-inline-padding: 240px;
    --pest-domains-section-inline-padding: 60px;
    --official-domains-section-inline-padding: 120px;
    --why-us-section-inline-padding: 300px;
    --platform-management-section-inline-padding: 60px;
    --marketing-hero-section-inline-padding: 240px;
    --packages-marketing-section-inline-padding: 120px;
    --work-lines-section-inline-padding: 120px;
    --dont-worry-hosting-section-inline-padding: 120px;
    --easy-management-section-inline-padding: 60px;
    --order-your-app-section-inline-padding: 170px;
    --categories-programming-section-inline-padding: 200px;

    --font-family:
        "Tajawal", system-ui, -apple-system, Segoe UI, Aria !important;
}

* {
    font-family: var(--font-family);
}

body.index-blur {
    overflow: hidden !important;
}

.email {
    text-transform: lowercase !important;
}

.radius-lg {
    border-radius: var(--radius) !important;
}

.radius-md {
    border-radius: calc(var(--radius) / 2) !important;
}

.radius-sm {
    border-radius: calc(var(--radius) / 4) !important;
}

.shadow-sm {
    box-shadow: 0 5px 14px 7px rgba(0, 0, 0, 0.05) !important;
}

.shadow-md {
    box-shadow: 0 5px 16px rgba(0, 0, 0, 0.1) !important;
}

.shadow-lg {
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.15) !important;
}

.container {
    /* width: calc(100% - 200px); */
    width: 1180px;
    margin: 0 auto;
}

@media (max-width: 1080px) {
    .container {
        width: calc(100% - 100px);
    }
}

@media (max-width: 992px) {
    :root {
        --main-inline-padding: 60px;
    }

    .container {
        width: calc(100% - 50px);
    }
}

@media (max-width: 768px) {
    :root {
        --main-inline-padding: 30px;
    }

    .container {
        width: calc(100% - 40px);
    }
}

@media (max-width: 425px) {
    :root {
        --main-inline-padding: 15px;
    }
}

img {
    width: 100%;
    height: 100%;
}

.border-custom {
    border: 1px solid var(--dark-muted-color);
}

[toggle-button]:active {
    opacity: 0.8;
    cursor: pointer;
    transform: translateY(2px) scale(0.95);
}

.shineEffect {
    display: block;
    overflow: hidden;
    position: relative;

    &:after {
        content: "";
        top: 0;
        transform: translateX(100%);
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        pointer-events: none;
        animation: slide 3s infinite;
        background: linear-gradient(
            to right,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.8) 50%,
            rgba(128, 186, 232, 0) 99%,
            rgba(125, 185, 232, 0) 100%
        );
    }
}

@keyframes slide {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(100%);
    }
}

.shineSection {
    position: relative;
    overflow: hidden;

    &::before {
        content: "";
        width: 180%;
        height: 150%;
        position: absolute;
        top: -50%;
        right: -50%;
        opacity: 0;
        background: linear-gradient(
            -45deg,
            transparent 0%,
            rgba(255, 255, 255, 0.3) 25%,
            rgba(255, 255, 255, 0.5) 50%,
            rgba(255, 255, 255, 0.3) 75%,
            transparent 100%
        );
        transform: rotate(0deg);
        animation: shineSection 4s ease-in-out infinite;
        animation-delay: 0s;
        pointer-events: none;
        z-index: 1;
    }
}

@keyframes shineSection {
    0% {
        transform: translateX(-150%) translateY(-150%) rotate(0deg);
        opacity: 0;
    }

    15% {
        opacity: 0;
    }

    25% {
        opacity: 0.7;
    }

    50% {
        transform: translateX(150%) translateY(150%) rotate(0deg);
        opacity: 0.5;
    }

    75% {
        opacity: 0;
    }

    100% {
        transform: translateX(150%) translateY(150%) rotate(0deg);
        opacity: 0;
    }
}

.logo {
    width: 90px;
    min-width: 90px;
    height: auto;
    overflow: visible;
    position: relative;
    margin-inline-end: 80px;

    & .contact-fast {
        width: 280px;
        position: absolute;
        top: 100%;
        right: 0;
        left: auto;
        z-index: 1001;
        padding: 15px;
        user-select: auto;
        border-radius: 10px;
        background-color: var(--light-color);
        border: 1px solid var(--light-muted-color);
        transition: all 0.3s ease;
        opacity: 0;
        visibility: hidden;
        transform: translateY(15px);

        & .contact-area {
            & .heading {
                font-size: 14px;
                margin-bottom: 10px;
            }

            & .childs {
                padding-inline: 15px;

                & > div {
                    font-size: 12px;
                }

                & .icon {
                    width: 30px;
                    height: 30px;
                    display: flex;
                    border-radius: 10px;
                    align-items: center;
                    justify-content: center;
                    color: var(--main-color);
                    background-color: var(--dark-muted-color);

                    & i,
                    & svg {
                        transform: scaleX(-1);
                    }
                }

                & .text {
                    color: var(--main-color);
                }

                & .contact {
                    color: var(--muted-color);
                }
            }
        }

        & .social {
            margin-top: 15px;
            text-align: center;

            & button:first-child {
                color: #4ad87f;
            }

            & button:nth-child(2) {
                color: #ff0000;
            }

            & button:nth-child(3) {
                color: #010101;
            }

            & button:last-child {
                color: #e35484;
            }

            & button {
                width: 35px;
                height: 35px;
                padding: 0;
                font-size: 16px;
                border-radius: 50%;
                background-color: var(--dark-muted-color);
                transition: all 0.3s ease;

                & a {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }

                & i,
                & svg {
                    font-size: 17px;
                }

                &:hover {
                    transform: translateY(-5px);
                    background-color: var(--dark-muted-color);
                }
            }
        }
    }

    &.active,
    &:hover {
        & .contact-fast {
            opacity: 1;
            visibility: visible;
            transform: translateY(0);
        }
    }
}

html[lang="en"] {
    .logo {
        & .contact-fast {
            left: 0;
            right: auto;

            & .contact-area {
                & .childs {
                    & .icon {
                        & i,
                        & svg {
                            transform: scaleX(1);
                        }
                    }
                }
            }
        }
    }
}

.header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: auto;
    min-height: 80px;
    z-index: 999;
    box-shadow: none;
    background-color: transparent;
    transition: 0.3s ease-in-out;
    background-position: center center;
    background-size: contain;
    background-repeat: repeat;

    &.index-blur {
        transition: 0;
        z-index: -1;
    }

    &.scrolled {
        background-color: #ffffffc4;
        backdrop-filter: blur(15px);
        box-shadow: 0 0px 15px -2px rgba(0, 0, 0, 0.1);
        background-image: url("../images/website/header-bg.png");
    }

    & .inner {
        width: 80%;
        max-width: 1280px;
        height: 100%;
        margin: 0 auto;
        user-select: none;
        text-wrap: nowrap;
        z-index: 999;
        gap: 30px;
        display: flex;
        align-items: center;
        justify-content: center;

        & .navbar {
            flex: 1;

            & ul {
                gap: 0px;
                justify-content: center;
                margin-inline-start: 90px;
            }

            & li > a {
                font-size: 16px;
                padding: 5px 15px;
            }

            & .our_services {
                position: relative;

                & > div {
                    padding: 5px;
                }

                & > div:first-child {
                    padding: 5px 15px;
                }

                & .services {
                    gap: 2px;
                    min-width: 170px;
                    display: flex;
                    text-align: start;
                    border-radius: 10px;
                    justify-content: center;
                    flex-direction: column;
                    opacity: 0;
                    visibility: hidden;
                    transition: all 0.3s ease;

                    position: absolute;
                    top: calc(100% + 10px);
                    left: 50%;
                    font-size: 12px;
                    overflow: hidden;
                    transform: translate(-50%, 20px);
                    color: var(--dark-color);
                    background-color: var(--light-color);
                    border: 1px solid var(--light-muted-color);
                    box-shadow: 0 0px 15px -2px rgba(0, 0, 0, 0.1);

                    & a {
                        padding: 10px;
                        border-radius: 10px;
                    }

                    & a.active,
                    & a:hover {
                        color: var(--light-color);
                        background-color: var(--main-color);
                    }
                }

                &.active .services,
                &:hover .services {
                    opacity: 1;
                    visibility: visible;
                    transform: translate(-50%, 0);
                }
            }
        }

        & .menu {
            font-size: 18px;
            cursor: pointer;
            display: none;

            &:active {
                transform: scale(0.95);
            }
        }

        & .language-selector {
            & a {
                width: 30px;
                height: auto;
                border-radius: 25px;
                padding: 0 !important;
                overflow: hidden;
                position: relative;
                transition: all 0.1s ease;

                &::after {
                    content: "";
                    width: 100%;
                    height: 200%;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    opacity: 0;
                    background: linear-gradient(
                        90deg,
                        transparent 0%,
                        var(--light-color) 50%,
                        transparent 100%
                    );
                    transform: translateX(-100%) translateY(-100%) rotate(45deg);
                    pointer-events: none;
                }

                &:hover {
                    transform: translateY(-2px);

                    &::after {
                        animation: shineLogo 1s ease-in-out forwards;
                    }
                }
            }
        }

        & .whatsapp {
            overflow: hidden;
            position: relative;
            padding: 7px 14px;
            transition: all 0.1s ease;

            &::after {
                content: "";
                width: 100%;
                height: 100%;
                position: absolute;
                top: 50%;
                left: 50%;
                opacity: 0;
                background: linear-gradient(
                    90deg,
                    transparent 0%,
                    var(--light-color) 50%,
                    transparent 100%
                );
                transform: translateX(-100%) translateY(-100%) rotate(45deg);
                pointer-events: none;
            }

            &:hover {
                transform: translateY(-2px);

                &::after {
                    animation: shineWhatsapp 0.5s ease-in-out forwards;
                }
            }
        }

        & .whatsapp-link {
            font-size: 14px;

            & .icon {
                display: none;
            }
        }
    }
}

@keyframes shineLogo {
    0%,
    60% {
        transform: translateX(-100%) translateY(-100%) rotate(40deg);
        opacity: 0;
    }

    20% {
        opacity: 1;
    }

    40% {
        transform: translateX(100%) translateY(100%) rotate(40deg);
        opacity: 0;
    }
}

@keyframes shineWhatsapp {
    0% {
        transform: translateX(-100%) translateY(-100%) rotate(-45deg);
        opacity: 0;
    }

    50% {
        opacity: 0.6;
    }

    100% {
        transform: translateX(100%) translateY(100%) rotate(-45deg);
        opacity: 0;
    }
}

.btn-link {
    border: none;
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 50px;
    color: var(--light-color);
}

.btn-link.main-color {
    background: var(--main-color);
}

.btn-link.light-main-color {
    background: var(--light-main-color);
}

.btn-link.primary-color {
    background: var(--primary-color);
}

.btn-link.dark-hover.active,
.btn-link.dark-hover:hover {
    background: var(--dark-color);
}

.btn-link.hover {
    position: relative;
    color: var(--dark-color);
}

.btn-link.hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 130%;
    height: 130%;
    opacity: 0;
    user-select: none;
    pointer-events: none;
    background: var(--main-color);
    border-radius: 50px;
    transform: translate(-50%, -50%);
    transition: 0.15s linear;
}

.btn-link.hover.active,
.btn-link.hover:hover {
    color: var(--light-color);
}

.btn-link.hover.active::before,
.btn-link.hover:hover::before {
    opacity: 1;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.filter {
    gap: 10px;
    font-size: 12px;
    display: inline-flex;
    margin-bottom: 35px;

    & .filter-btn,
    & .filter-btn-style {
        position: relative;
        color: var(--dark-color);
        box-shadow: 0 0 1px 0px var(--muted-color);
        background-color: var(--light-color) !important;
        transition: all 0.3s ease;

        &.active {
            background-color: transparent !important;
            box-shadow: 0 0 1px 1px var(--light-main-color);
        }

        &.active::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            z-index: -1;
            opacity: 0.3;
            border-radius: 50px;
            background-color: var(--light-main-color) !important;
        }

        &:hover {
            transform: translateY(-5px);
            box-shadow: 0 0 1px 1px var(--light-main-color);
        }
    }
}

.languages {
    gap: 8px;
    display: flex;
}

.language-side,
.header-side,
.contact-actions,
.social-links,
.pseudo-element {
    display: none;
}

@media (max-width: 1190px) {
    .logo {
        width: 80px;
        min-width: 80px;
        margin-inline-end: 20px;
    }

    .header {
        & .inner {
            gap: 15px;
        }
    }
}

@media (max-width: 1080px) {
    /* .logo {
        width: 50px;
        min-width: 50px;
    } */

    .header {
        & .inner {
            width: 100%;
            margin: 0 30px 0;

            & .navbar {
                & li > a {
                    font-size: 14px;
                }
            }
        }
    }

    .navbar {
        font-size: 14px;
    }

    .btn-link {
        padding: 5px 10px;
    }
}

@media (max-width: 992px) {
    .logo {
        width: 70px;
        min-width: 70px;

        & .contact-fast {
            & .contact-area {
                & .heading {
                    font-size: 10px;
                }

                & .childs {
                    gap: 10px;
                    padding-inline: 10px;

                    & > div {
                        font-size: 10px;
                    }

                    & .icon {
                        width: 25px;
                        height: 25px;
                    }
                }
            }
        }
    }

    .header {
        & .inner {
            justify-content: space-between;

            & .navbar {
                & > ul {
                    gap: 10px;

                    & li > a {
                        font-size: 12px;
                    }
                }
            }

            & .whatsapp-link {
                font-size: 12px;
                padding-inline: 10px;
            }
        }
    }

    .pseudo-element {
        display: block;
    }

    .header-side,
    .social-links,
    .contact-actions {
        display: flex;
    }

    .header {
        & .inner {
            & .navbar {
                width: 320px;
                height: 100svh;
                position: absolute;
                top: 0;
                right: 0;
                left: auto;
                z-index: 1001;
                transition: all 0.3s ease;
                background-color: var(--light-color);
                /* left box shadow */
                box-shadow: -4px 0 10px -4px var(--light-muted-color);
                opacity: 0;
                visibility: hidden;
                transform: translateX(100%);

                &.active {
                    opacity: 1;
                    visibility: visible;
                    transform: translateX(0);
                }
            }

            & .language-selector {
                & a {
                    width: 25px;
                }
            }

            & .language-side {
                display: block;
                width: 40px;
                height: 40px;
                margin: auto;
                overflow: hidden;
                border-radius: 50%;
                position: relative;
                transition: all 0.1s ease;

                &::after {
                    content: "";
                    width: 100%;
                    height: 200%;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    opacity: 0;
                    background: linear-gradient(
                        90deg,
                        transparent 0%,
                        var(--light-color) 50%,
                        transparent 100%
                    );
                    transform: translateX(-100%) translateY(-100%) rotate(45deg);
                    pointer-events: none;
                }

                &:hover {
                    transform: translateY(-2px);

                    &::after {
                        animation: shineLogo 1s ease-in-out forwards;
                    }
                }
            }

            & .menu {
                width: 50px;
                height: 50px;
                display: flex;
                border-radius: 50%;
                align-items: center;
                justify-content: center;
                color: var(--light-main-color);
                box-shadow: 0 0px 10px -4px var(--light-main-color);
            }

            & .languages,
            & .whatsapp {
                display: none;
            }

            & .whatsapp-link {
                padding: 0;

                & span {
                    display: none;
                }

                & .icon {
                    font-size: 16px;
                    display: block !important;
                }
            }

            & .header-side {
                padding: 15px;
                position: relative;

                &::after {
                    content: "";
                    width: 100%;
                    height: 1px;
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    opacity: 0.3;
                    background-color: var(--light-main-color);
                }

                & .info {
                    position: relative;

                    & .pseudo-element-info {
                        width: 35px;
                        height: 35px;
                        border-radius: 10px;
                        position: relative;

                        &::before {
                            content: "";
                            width: 100%;
                            height: 100%;
                            position: absolute;
                            top: 0;
                            left: 0;
                            opacity: 0.2;
                            border-radius: inherit;
                            background-color: var(--main-color);
                        }

                        &::after {
                            content: "";
                            width: 30%;
                            height: 30%;
                            position: absolute;
                            top: 50%;
                            left: 50%;
                            border-radius: 50%;
                            transform: translate(-50%, -50%);
                            background-color: var(--light-main-color);
                        }
                    }
                }

                & .close {
                    cursor: pointer;
                    font-size: 18px;
                    transition: all 0.2s ease;

                    &:hover {
                        color: var(--light-main-color);
                    }
                }
            }

            & .pseudo-element {
                width: 20px;
                height: 20px;
                border-radius: 50%;
                opacity: 0.8;
                background-color: var(--main-hover-color);
                position: relative;

                &::before {
                    content: "";
                    width: 80%;
                    height: 80%;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    opacity: 0.7;
                    border-radius: inherit;
                    transform: translate(-50%, -50%);
                    border: 2px solid var(--light-main-color);
                }

                &::after {
                    content: "";
                    width: 25%;
                    height: 25%;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    border-radius: 50%;
                    transform: translate(-50%, -50%);
                    background-color: var(--dark-color);
                }
            }

            & .contact-actions,
            & .social-links {
                padding: 15px 10px;

                & button {
                    width: 100%;
                    height: 40px;
                    overflow: hidden;
                    border-radius: 10px;
                    transition: all 0.3s ease;
                    position: relative;
                    z-index: 15;
                    box-shadow: 0 2px 16px -1px var(--light-muted-color);

                    &::before {
                        content: "";
                        position: absolute;
                        width: 100%;
                        height: 100%;
                        top: 0;
                        left: 0;
                        z-index: -2;
                        background-color: var(--hover-color);
                    }

                    &::after {
                        content: "";
                        position: absolute;
                        width: 100%;
                        height: 100%;
                        top: 0;
                        left: 0;
                        opacity: 0.5;
                        z-index: -1;
                        border-radius: inherit;
                        border: 1px solid var(--light-main-color);
                    }

                    & a {
                        display: flex;
                        font-weight: bold;
                        align-items: center;
                        justify-content: center;
                    }

                    & i,
                    & svg {
                        font-size: 16px;
                        color: var(--dark-color);
                    }

                    &:hover {
                        transform: translateY(-2px);
                        background-color: var(--dark-muted-color);
                    }
                }
            }

            & .social-links {
                position: relative;

                &::after {
                    content: "";
                    width: calc(100% - 30px);
                    height: 1px;
                    position: absolute;
                    top: 0;
                    left: 50%;
                    opacity: 0.2;
                    transform: translateX(-50%);
                    background-color: var(--light-main-color);
                }

                & button {
                    width: 40px;
                    height: 40px;
                    box-shadow: none;
                    border-radius: 50px;

                    & i,
                    & svg {
                        font-size: 14px;
                    }
                }
            }

            & .navbar::-webkit-scrollbar {
                width: 5px;
            }

            & .navbar::-webkit-scrollbar-thumb {
                border-radius: 5px;
                background: var(--light-main-color);
            }

            & .navbar::-webkit-scrollbar-track {
                background: var(--light-muted-color);
            }

            & .navbar {
                overflow: hidden;

                &.scroll {
                    overflow-y: scroll;
                }

                & > ul {
                    gap: 5px;
                    width: 100%;
                    margin: auto;
                    overflow: hidden;
                    flex-direction: column;
                    padding-inline-start: 15px;
                    padding-bottom: 15px;

                    & li > .nav-link {
                        width: 100%;
                        font-size: 16px;
                        font-weight: normal;
                        border-radius: 0 10px 10px 0;
                        padding: 10px 10px 10px 0;
                        color: var(--dark-color);
                        transition: all 0.2s ease;
                        background-color: transparent;
                        position: relative;

                        & span {
                            transition: all 0.2s ease;
                        }

                        &:hover:not(.active) {
                            & span {
                                margin-inline-start: 5px;
                            }
                        }

                        &:hover:not(.active) {
                            &::before {
                                transform: translate(5px, 0);
                                opacity: 1;
                            }
                        }

                        &::before {
                            content: "";
                            position: absolute;
                            width: 200%;
                            height: 100%;
                            top: 0;
                            right: 0;
                            left: auto;
                            user-select: none;
                            pointer-events: none;
                            border-radius: inherit;
                            transition: 0.15s linear;
                            transform: translate(0, 0);
                            background-color: var(--hover-color);
                        }
                    }
                }

                & .our_services {
                    flex-direction: column;
                    padding-inline-end: 25px;
                    align-items: stretch !important;

                    & > div {
                        width: 100%;
                        padding: 10px 10px 10px 0;
                        align-items: center !important;
                        justify-content: space-between !important;
                    }

                    & .services {
                        width: 100%;
                        max-height: 0;
                        font-size: 14px;
                        overflow: hidden;
                        position: relative;
                        background: transparent;
                        opacity: 1;
                        visibility: visible;
                        margin: 0;
                        padding: 5px 25px 0 0;
                        border: none;
                        box-shadow: none;
                        transition: all 0.2s ease;

                        & a {
                            gap: 5px;
                            width: 100%;
                            font-size: 13px;
                            text-align: start;
                            padding: 10px 15px;
                            display: inline-flex;
                            align-items: center;
                            color: var(--dark-color);

                            &:last-child {
                                border-bottom: none;
                            }

                            & span {
                                transition: all 0.2s ease;
                            }

                            &.active,
                            &:hover {
                                background-color: var(--hover-color);
                                color: var(--dark-color);

                                & span {
                                    margin-inline-start: 5px;
                                }
                            }
                        }
                    }

                    &.active .services {
                        max-height: 250px;
                    }

                    & .fa-chevron-down {
                        transition: 0.2s ease;
                        font-size: 12px;
                    }

                    &.active .fa-chevron-down {
                        transform: rotate(180deg);
                    }
                }
            }
        }
    }

    .btn-link {
        padding: 5px 10px;
    }

    html[lang="en"] {
        .header {
            & .inner {
                & .navbar {
                    left: 0;
                    right: auto;
                    transform: translateX(-100%);
                    /* right box shadow */
                    box-shadow: 4px 0 10px -4px var(--light-muted-color);

                    &.active {
                        transform: translateX(0);
                    }

                    & > ul {
                        & li > .nav-link {
                            &::before {
                                left: -40px;
                                right: auto;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 800px) {
    .header {
        padding-inline: 20px;
    }

    .btn-link {
        font-size: 12px;
        padding: 5px 10px;
    }
}

@media (max-width: 768px) {
    .header {
        & .inner {
            margin: 0;
        }
    }

    .logo {
        width: 50px;
        min-width: 50px;

        & .contact-fast {
            width: 240px;
            padding: 10px;

            & .contact-area {
                & .childs {
                    gap: 10px;
                    padding-inline: 10px;

                    & .icon {
                        width: 25px;
                        height: 25px;
                    }
                }
            }

            & .social {
                & button {
                    width: 30px;
                    height: 30px;

                    & i,
                    & svg {
                        font-size: 12px;
                    }
                }
            }
        }
    }

    .btn-link {
        font-size: 12px;
        padding: 5px 10px;
    }
}

@media (max-width: 425px) {
    .header {
        & .inner {
            margin: 0 20px 0;
        }
    }

    .logo {
        width: 50px;
        min-width: 50px;
    }

    .header {
        padding-inline: 0;
    }
}

.title-badge {
    position: relative;
    padding: 2px 15px;
    color: var(--light-color);
}

.title-badge::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    transform: skewX(-12deg);
    border-radius: 14px;
    background: var(--light-main-color);
    box-shadow: 0 10px 26px rgba(0, 0, 0, 0.12);
}

swiper-container {
    width: 100%;
    height: 100%;
}

swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #444;
    display: flex;
    justify-content: center;
    align-items: center;
}

swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.section {
    position: relative;
    z-index: 500;

    &.index-blur {
        z-index: -1 !important;
    }
}

.section .title {
    font-size: 22px;
    margin-bottom: 20px;

    & .title-badge {
        padding: 2px 10px;
    }
}

.section .description {
    font-size: 17px;
    margin-bottom: 20px;
    color: var(--muted-color);
}

@media (max-width: 992px) {
    .section .title {
        font-size: 16px;
    }

    .section .description {
        font-size: 14px;
    }
}

@media (max-width: 768px) {
    .section .title {
        font-size: 12px;
    }

    .section .description {
        font-size: 12px;
    }
}

@media (max-width: 425px) {
    .section .description {
        padding-inline: 10px;
    }
}

.fade-up,
.fade-down {
    opacity: 0;
    transition: all 0.3s ease-out;
}

.fade-up {
    transform: translateY(-20px);
    opacity: 1;
}

.fade-down {
    transform: translateY(20px);
    opacity: 0;
}

.image-viewer {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s;
}

.image-viewer.active {
    opacity: 1;
    visibility: visible;
}

.image-viewer img {
    max-width: fit-content;
    max-height: 50%;
    object-fit: contain;
}

.fixed-support {
    position: fixed;
    z-index: 99999;
    bottom: 22px;
    right: 22px;
    display: flex;
    gap: 10px;
    align-items: center;
    color: var(--dark-color);
    border: none;

    &.index-blur {
        display: none;
    }

    .headphones {
        padding: 15px;
        cursor: pointer;
        border-radius: 50px;
        background-color: var(--light-color);
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);

        .icon {
            color: var(--main-color);
        }
    }

    .fixed-support-content {
        overflow: hidden;
        font-size: 16px;
        border-radius: 15px;
        background-color: var(--light-color);
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
    }

    .fixed-support-header {
        padding: 15px;
        color: var(--light-color);
        background: linear-gradient(
            150deg,
            var(--light-main-color) 45%,
            #f19d62
        );
    }

    .fixed-support-body {
        padding: 15px;
        border-block: 1px solid var(--color-gray-100);

        .fixed-support-title {
            margin-block: 10px;
        }

        .fixed-support-welcome {
            padding: 12px;
            border-radius: 10px;
            position: relative;
            filter: saturate(1.5);
            color: var(--dark-main-color);

            &:before {
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                opacity: 0.1;
                border-radius: inherit;
                background-color: var(--light-main-color);
            }

            &:after {
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                opacity: 0.1;
                border-radius: inherit;
                border: 1px solid var(--main-color);
            }
        }

        .fixed-support-list {
            .fixed-support-item {
                padding: 12px;
                border-radius: 25px;
                transition: 0.2s ease;
                border: 1px solid var(--dark-muted-color);

                &:not(:last-child) {
                    margin-bottom: 10px;
                }

                .fixed-support-image {
                    width: 20px;
                    height: 20px;
                }

                &:hover {
                    border: 1px solid var(--light-main-color);
                    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
                }
            }
        }
    }

    .fixed-support-footer {
        padding: 15px;
        font-size: 14px;

        .status {
            width: 15px;
            height: 15px;
            margin: 3px;
            border-radius: 50%;
            border: 2px solid var(--dark-green-color);
        }

        &.green {
            color: var(--color-green-600);

            .status {
                animation: pulse 0.9s infinite;
                background-color: var(--color-green-600);
            }
        }

        &.gray {
            color: var(--color-gray-600);

            .status {
                background-color: var(--color-gray-600);
            }
        }
    }
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    70% {
        transform: scale(0.9);
        opacity: 0.2;
    }

    90% {
        transform: scale(1);
        opacity: 1;
    }
}

/* Start Footer Section */
footer {
    position: relative;

    &::after {
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        z-index: -5;
        background-color: var(--dark-color);
    }

    /* .custom-container {
        &::before {
            content: "";
            width: 70%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 50%;
            z-index: -2;
            transform: translateX(-50%);
            background-image: url("../images/website/map.png");
            background-position: top center;
            background-size: cover;
            background-repeat: no-repeat;
        }

        &::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            z-index: -5;
            background-color: var(--dark-color);
        }
    } */

    & .inner {
        width: 70%;
        margin: auto;
        font-size: 20px;
        padding-block: 50px 30px;
        color: var(--light-color);
        position: relative;

        &::before {
            content: "";
            width: 70%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 50%;
            z-index: -2;
            transform: translateX(-50%);
            background-image: url("../images/website/map.png");
            background-position: top center;
            background-size: cover;
            background-repeat: no-repeat;
        }

        &::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            z-index: -5;
            background-color: var(--dark-color);
        }

        & .footer-header {
            padding-bottom: 30px;
            border-bottom: 1px solid var(--light-muted-color);

            & .description {
                width: 80%;
                font-size: 18px;
            }

            & .social {
                text-wrap: nowrap;

                & button {
                    width: 50px;
                    height: 50px;
                    padding: 0;
                    border-radius: 50%;
                    transition: all 0.3s ease;

                    &:hover {
                        transform: translateY(-5px);
                        background-color: var(--light-main-color) !important;
                    }

                    & a {
                        display: flex;
                        justify-content: center;
                    }
                }
            }
        }

        & .footer-body {
            margin-block: 30px 0;

            & .child {
                line-height: 1.8;

                & .image {
                    width: 70px;
                    height: 70px;
                    border-radius: 12px;
                    overflow: hidden;

                    & img {
                        object-fit: cover;
                    }
                }

                & .text {
                    line-height: 1;
                    & .title {
                        color: var(--light-main-color);
                    }
                }

                & ul li a {
                    position: relative;
                    padding-bottom: 2px;

                    &::after {
                        content: "";
                        width: 0;
                        height: 2px;
                        bottom: 0;
                        right: 30%;
                        position: absolute;
                        transition: all 0.3s ease;
                        background-color: var(--main-color);
                    }

                    &:hover::after {
                        width: 100%;
                        right: 0;
                    }
                }

                & ul li a .icon {
                    padding-inline-end: 10px;
                }
            }
        }
    }

    & .footer-footer {
        padding: 20px 100px 50px;
        color: var(--light-color);
    }
}

@media (max-width: 992px) {
    footer {
        & .inner {
            width: 80%;

            &::before {
                width: 80%;
            }

            & .footer-header {
                text-align: center;
                flex-direction: column;
            }

            & .footer-body {
                gap: 40px;
                display: grid;
                grid-template-columns: repeat(2, 1fr);
            }
        }
    }
}

@media (max-width: 600px) {
    footer {
        & .inner {
            width: 90%;

            &::before {
                width: 90%;
            }

            & .footer-body {
                gap: 30px;

                & .child > div {
                    justify-content: center;
                }

                & ul li a {
                    font-size: 12px;
                }
            }
        }
    }
}

@media (max-width: 425px) {
    footer {
        & .inner {
            text-align: center;

            & .footer-header {
                & .description {
                    width: 95%;
                    font-size: 14px;
                }

                & .social {
                    gap: 15px;

                    & button {
                        width: 30px;
                        height: 30px;
                    }
                }
            }

            & .footer-body {
                display: none;
                grid-template-columns: repeat(1, 1fr);

                & .child {
                    & .image {
                        width: 40px;
                        height: 40px;
                    }

                    & ul li a {
                        font-size: 13px;
                    }
                }
            }

            & .footer-footer {
                width: 90%;
                margin: 20px auto 0;
                color: var(--muted-color);
                flex-direction: column-reverse;

                & .description {
                    color: var(--light-color);
                }
            }
        }
    }

    .fixed-support {
        width: 270px;

        .fixed-support-content {
            font-size: 10px;
        }

        .fixed-support-header,
        .fixed-support-footer,
        .fixed-support-body {
            padding: 10px;
        }

        #close-fixed-support {
            font-size: 12px;
        }

        .fixed-support-footer {
            font-size: 10px;

            & .hidden {
                display: none !important;
            }

            .status {
                width: 10px;
                height: 10px;
            }
        }

        #faLock {
            display: none;
        }

        & .fixed-support-body {
            & .fixed-support-list {
                & .fixed-support-item {
                    padding: 8px;

                    &:not(:last-child) {
                        margin-bottom: 5px;
                    }
                }
            }
        }

        .headphones {
            padding: 10px;
            font-size: 8px;
        }
    }
}

/* End Footer Section */

.debug-flag-badge {
    width: fit-content !important;
    height: fit-content !important;
    position: absolute !important;
    top: 150px !important;
    left: 30px !important;
    z-index: 995 !important;
    display: inline-block !important;
    background: #830000;
    color: white;
    padding: 6px 10px;
    border-radius: 4px;
    font-weight: bold;
    font-size: 11px;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.text-lowercase,
.text-lowercase * {
    text-transform: lowercase !important;
}

.text-uppercase,
.text-uppercase * {
    text-transform: uppercase !important;
}

.text-capitalize,
.text-capitalize * {
    text-transform: capitalize !important;
}

.marker {
    color: black;
    background-color: yellow;
}

.clickable-img {
    cursor: pointer;
}

.cke_notifications_area,
.cke_notification {
    display: none !important;
    visibility: hidden !important;
    pointer-events: none !important;
}

.remove-attachment-btn {
    width: 40px;
    height: 100%;
    left: 0;
    right: auto;
    background: #ecebed;
    border-radius: 10px 0 0 10px;
}

html[lang="en"] {
    .remove-attachment-btn {
        left: auto;
        right: 0;
    }
}
